View Issue Details

IDProjectCategoryLast Update
0021550AI War 2[All Projects] Crash/ExceptionOct 11, 2019 4:39 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.885 The Audible Bodyguard 
Fixed in Version0.900 Custom Fleets With Empty Slots 
Summary0021550: null reference: Network.OnClient_SendClientBatchToServer
DescriptionI was playing for a bit and hit this error:
8/31/2019 2:02:04 AM
Inner Error in Network.OnClient_SendClientBatchToServer, debugStage 16000: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.Universal.GameSpecificWorld_Networking.OnClient_SendClientBatchToServer () [0x00223] in <a1a624e568f140fe9fef8adbb37081ee>:0

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0
  at Arcen.Universal.GameSpecificWorld_Networking.OnClient_SendClientBatchToServer () [0x00000] in <a1a624e568f140fe9fef8adbb37081ee>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_SendClientBatchToServer () [0x00000] in <ae2e07923a784992a2e5502831539b80>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <b39f7ebaff7848debbca088b7af985db>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <ae2e07923a784992a2e5502831539b80>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0
  at ArcenGameController.Update () [0x00000] in <12679809ebfa411b96b71964595e6ed3>:0

It's not readily reproducible, I tried the same save a few more times and didn't see anything.
Error coming from
GameSpecificWorld_Networking.cs
                for ( int i = 0; i < World_AIW2.Instance.OnClient_GameCommandsThatHaveNotYetBeenSentToServer.Count; i++ )
                {
                    debugStage = 15000;
                    GameCommand command = World_AIW2.Instance.OnClient_GameCommandsThatHaveNotYetBeenSentToServer[i];
                    debugStage = 16000;
                    command.SerializeTo_AlwaysForNetworkNeverDisk( buffer );
                }
is it possible for the Command to be null there?!
TagsNo tags attached.

Relationships

related to 0021632 resolvedBadgerBadger Cryogenic pods give null ref exception when viewing mark up stats in the C-Menu 

Activities

x4000Bughunter

Oct 11, 2019 4:39 pm

administrator   ~0053602

Thanks!

* Fixed a really rare nullref that could happen in Network.OnClient_SendClientBatchToServer.

Issue History

Date Modified Username Field Change
Aug 31, 2019 4:09 am BadgerBadger New Issue
Sep 16, 2019 11:57 pm BadgerBadger Relationship added related to 0021632
Oct 11, 2019 4:39 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 11, 2019 4:39 pm x4000Bughunter Status new => resolved
Oct 11, 2019 4:39 pm x4000Bughunter Resolution open => fixed
Oct 11, 2019 4:39 pm x4000Bughunter Fixed in Version => 0.900 Custom Fleets With Empty Slots
Oct 11, 2019 4:39 pm x4000Bughunter Note Added: 0053602